'use strict';

process.chdir(__dirname);
require('fs').writeFileSync('pid.txt', process.pid);

const path = require('path');
const config = require('komodo-sdk/config');

process.title = `KOMODO-MODEM@${(typeof config.name === 'string') ? config.name.toUpperCase() : path.basename(config.modem.device).toUpperCase()}`;

require('./lib/http-command-server');
require('./lib/modem');
